namespace Eco.Mods.TechTree
{
    using System.Collections.Generic;
    using System.Linq;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Mods.TechTree;
    using Eco.Shared.Items;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Shared.View;

    [RequiresSkill(typeof(BasicCraftingSkill), 4)]    
    public partial class EggRecipe : Recipe
    {
        public EggRecipe()
        {
            this.Products = new CraftingElement[]
            {
                new CraftingElement<EggItem>(6),
               
            };
            this.Ingredients = new CraftingElement[]
            {
                new CraftingElement<PlantFibersItem>(typeof(CulinaryArtsEfficiencySkill), 100, CulinaryArtsEfficiencySkill.MultiplicativeStrategy),
            };
            this.CraftMinutes = CreateCraftTimeValue(typeof(EggsRecipe), Item.Get<EggItem>().UILink(), 240, typeof(CulinaryArtsSpeedSkill));    
            this.Initialize("1/2 Dozen Egg's", typeof(EggRecipe));
            CraftingComponent.AddRecipe(typeof(ChickenCoopObject), this);
        }
    }
}